import coverage
from behave import fixture
from behave.fixture import use_fixture_by_tag
from splinter import Browser

from center_pilote.pilote_extended.tests.factories import UserFactory


def before_all(context):
    cov = coverage.Coverage()
    print("Append coverage to previous one (pytest)")
    cov.load()
    cov.start()
    context.cov = cov


def after_all(context):
    cov = context.cov
    cov.stop()
    cov.save()


@fixture
def browser_django(context, **kwargs):
    context.browser = Browser('django')
    yield context.browser
    context.browser.quit()


FIXTURE_REG = {
    'fixture.browser.django': browser_django,
}


def before_tag(context, tag):
    if tag.startswith('fixture.'):
        return use_fixture_by_tag(tag, context, FIXTURE_REG)


def django_ready(context):
    user = UserFactory.build(username="admin", is_superuser=True)
    user.set_password('admin')
    user.save()
