from django.http import QueryDict
from django.urls import NoReverseMatch, reverse


def get_url(view_name, args=None, kwargs=None, qdict=None):
    try:
        url = reverse(view_name, args=args, kwargs=kwargs)
    except NoReverseMatch:
        url = view_name
    if isinstance(qdict, dict):
        query_dict = QueryDict(mutable=True)
        query_dict.update({str(k): v for k, v in qdict.items()})
        query_string = query_dict.urlencode()
        if query_string:
            url += f'?{query_string}'
    return url


def get_fields_from_text(text):
    return dict([cpl.split('=', 1) for cpl in text.split(',')])
