# -*- coding: utf-8 -*-
from creme.creme_core.apps import CremeAppConfig


class FiliereBoisConfig(CremeAppConfig):
    name = 'center_pilote.filiere_bois'
    verbose_name = "Filière bois"
    dependencies = ['creme.creme_core']

    def register_entity_models(self, creme_registry):
        from . import models

        creme_registry.register_entity_models(models.InfraBoisNrj)

    def register_menu(self, creme_menu):
        from .models import InfraBoisNrj

        creme_menu.get('features', 'persons-directory').add(
            creme_menu.URLItem.list_view(
                'filiere_bois-infraboisnrj', model=InfraBoisNrj
            )
        )
        creme_menu.get('creation', 'any_forms').get_or_create_group(
            'persons-directory', "Annuaire", priority=10
        ).add_link('create_infraboisnrj', InfraBoisNrj)

    def register_icons(self, icon_registry):
        from .models import InfraBoisNrj

        icon_registry.register(
            InfraBoisNrj, 'images/organisation_%(size)s.png'
        )
