# Generated by Django 2.2.26 on 2023-01-25 20:38

import creme.creme_core.models.deletion
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('info_tables', '0001_initial'),
        migrations.swappable_dependency(settings.PERSONS_ORGANISATION_MODEL),
        ('creme_core', '0077_v2_2__set_version'),
    ]

    operations = [
        migrations.CreateModel(
            name='InfraBoisNrj',
            fields=[
                ('cremeentity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='creme_core.CremeEntity')),
                ('import_id', models.PositiveIntegerField(blank=True, db_index=True, null=True, unique=True, verbose_name="ID temporaire d'import")),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('type_plateform', models.BooleanField(blank=True, null=True, verbose_name='Plateforme physique')),
                ('vol_commercial_an', models.PositiveIntegerField(blank=True, null=True, verbose_name='Volume commercialisés (T/an)')),
                ('commune', models.CharField(blank=True, max_length=256, verbose_name='Commune')),
                ('annee_mise_en_service', models.PositiveIntegerField(blank=True, null=True, verbose_name='Année de mise en service')),
                ('puissance_bois', models.PositiveIntegerField(blank=True, null=True, verbose_name='Puissance bois kW')),
                ('energie_bois', models.PositiveIntegerField(blank=True, null=True, verbose_name='Energie produite bois MWh')),
                ('tonnes_bois_consommees', models.PositiveIntegerField(blank=True, null=True, verbose_name='T de bois consommées')),
                ('puissance_appoint', models.PositiveIntegerField(blank=True, null=True, verbose_name='Puissance appoint kW')),
                ('energie_appoint', models.PositiveIntegerField(blank=True, null=True, verbose_name='Energie appoint MWh')),
                ('tonnage_plaquette_forestiere', models.PositiveIntegerField(blank=True, null=True, verbose_name='Tonnage plaquette forestière')),
                ('tonnage_dechet_bois_cla', models.PositiveIntegerField(blank=True, null=True, verbose_name='Tonnage déchet bois classe A')),
                ('tonnage_dechet_bois_clb', models.PositiveIntegerField(blank=True, null=True, verbose_name='Tonnage déchet bois classe B')),
                ('tonnage_plaquette_bocagere', models.PositiveIntegerField(blank=True, null=True, verbose_name='Tonnage plaquette bocagère')),
                ('tonnage_cnx_scierie', models.PositiveIntegerField(blank=True, null=True, verbose_name='Tonnage connexe scierie')),
                ('marque_chaudiere', models.CharField(blank=True, max_length=256, verbose_name='Marque chaudière')),
                ('lng_reseau', models.PositiveIntegerField(blank=True, null=True, verbose_name='Longueur du réseau m')),
                ('nb_ss_stations', models.PositiveIntegerField(blank=True, null=True, verbose_name='Nb sous stations')),
                ('tep_bois_an', models.PositiveIntegerField(blank=True, null=True, verbose_name='TEP bois /an')),
                ('type_bat_chauffes', models.CharField(blank=True, max_length=256, verbose_name='Type batiment chauffés')),
                ('cout_tot_projet', models.PositiveIntegerField(blank=True, null=True, verbose_name='Cout total projet')),
                ('cout_raccordement', models.PositiveIntegerField(blank=True, null=True, verbose_name='Cout fourniture/installation/raccordement chaudière')),
                ('cout_genie_civil', models.PositiveIntegerField(blank=True, null=True, verbose_name='Cout génie civil chaufferie/silo/accès')),
                ('cout_reseau_ss_stations', models.PositiveIntegerField(blank=True, null=True, verbose_name='Cout réseau sous stations')),
                ('frais_ing', models.PositiveIntegerField(blank=True, null=True, verbose_name="Frais d'ingénierie")),
                ('montant_subv', models.PositiveIntegerField(blank=True, null=True, verbose_name='Montant subventions')),
                ('montant_aide_ademe', models.PositiveIntegerField(blank=True, null=True, verbose_name='Montant aide ADEME')),
                ('intensite_aide_ademe', models.PositiveIntegerField(blank=True, null=True, verbose_name='Intensité aide ADEME (%)')),
                ('montant_aide_region', models.PositiveIntegerField(blank=True, null=True, verbose_name='Montant aide région')),
                ('intensite_aide_region', models.PositiveIntegerField(blank=True, null=True, verbose_name='Intensité aide région (%)')),
                ('montant_aide_europe', models.PositiveIntegerField(blank=True, null=True, verbose_name='Montant aide europe')),
                ('intensite_aide_europe', models.PositiveIntegerField(blank=True, null=True, verbose_name='Intensité aide europe (%)')),
                ('intensite_aide_totale', models.PositiveIntegerField(blank=True, null=True, verbose_name='Intensité aide totale (%)')),
                ('prix_combustible_in', models.PositiveIntegerField(blank=True, null=True, verbose_name='Prix combustible entrée')),
                ('prix_maintenance', models.PositiveIntegerField(blank=True, null=True, verbose_name='Prix maintenance')),
                ('cout_revient_nrj_produite', models.PositiveIntegerField(blank=True, null=True, verbose_name="Cout de revient de l'energie produite")),
                ('reseau_chaleur_vente_nrj', models.BooleanField(blank=True, null=True, verbose_name="Réseau de chaleur avec vente d'énergie")),
                ('emissions_t_co2_an_evites', models.PositiveIntegerField(blank=True, null=True, verbose_name='Emissions T CO2/an évités')),
                ('etp_affectes_projet', models.DecimalField(blank=True, decimal_places=1, max_digits=4, null=True, verbose_name='ETP affectés au projet')),
                ('etp_crees', models.DecimalField(blank=True, decimal_places=1, max_digits=4, null=True, verbose_name='ETP créés')),
                ('approvisionne_par', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, related_name='organisation_approvisionner_par_set', to=settings.PERSONS_ORGANISATION_MODEL, verbose_name='Approvisionné par')),
                ('departement', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.SecteurIntervention', verbose_name='Département')),
                ('etat_avancement', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.EtatAvancement', verbose_name="Etat d'avancement")),
                ('lieu_installation', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to=settings.PERSONS_ORGANISATION_MODEL, verbose_name="Lieu d'installation")),
                ('maitre_ouvrage', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, related_name='organisation_maitre_ouvrage_set', to=settings.PERSONS_ORGANISATION_MODEL, verbose_name="Maitre d'ouvrage")),
                ('mode_livraison', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.ModeLivraison', verbose_name='Mode de livraison')),
                ('montage_juridique', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.MontageJuridique', verbose_name='Montage juridique')),
                ('nature_appoint', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.NatureAppoint', verbose_name="Nature de l'appoint")),
                ('num_icpe', models.ManyToManyField(blank=True, to='info_tables.NumIcpe', verbose_name='Num. ICPE')),
                ('qualite_bois_livre', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.QualiteBoisLivre', verbose_name='Qualité du bois livré')),
                ('statut_icpe', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.StatutIcpe', verbose_name='Statut ICPE')),
                ('statut_port_proj', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.StatutPorteurProjet', verbose_name='Statut porteur de projet')),
                ('tech_filtre_fumee', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.TechFiltreFumee', verbose_name='Technique de filtrage de fumées')),
                ('type_bois_livre', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.TypeBoisLivre', verbose_name='Type de bois livré')),
                ('type_combustible_bois', models.ManyToManyField(blank=True, to='info_tables.TypeCombustibleBois', verbose_name='Type de combustible bois')),
                ('type_infra', models.ForeignKey(on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.TypeInfra', verbose_name="Type d'infrastructure")),
                ('type_installation', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.TypeInstallation', verbose_name="Type d'installation")),
            ],
            options={
                'verbose_name': 'Infra bois énergie',
                'verbose_name_plural': 'Infras bois énergie',
                'ordering': ('name',),
                'unique_together': {('name', 'lieu_installation')},
            },
            bases=('creme_core.cremeentity',),
        ),
    ]
