# -*- coding: utf-8 -*-

from creme.creme_core.core.entity_cell import EntityCellRegularField
from creme.creme_core.management.commands.creme_populate import BasePopulator
from creme.creme_core.models import HeaderFilter, SearchConfigItem

from .constants import DEFAULT_HFILTER_INFRABOISNRJ
from .models import InfraBoisNrj


class Populator(BasePopulator):
    dependencies = ['creme_core']

    def populate(self):
        HeaderFilter.objects.create_if_needed(
            pk=DEFAULT_HFILTER_INFRABOISNRJ,
            name="Vue d'infra bois énergie",
            model=InfraBoisNrj,
            cells_desc=[
                (EntityCellRegularField, {'name': 'name'}),
            ],
        )
        SearchConfigItem.objects.create_if_needed(InfraBoisNrj, ['name'])
