from factory import Sequence, SubFactory
from factory.django import DjangoModelFactory


class GroupeActiviteFactory(DjangoModelFactory):
    class Meta:
        model = 'info_tables.GroupeActivite'

    name = Sequence(lambda x: "groupe#{0}".format(x))


class ActiviteFactory(DjangoModelFactory):
    class Meta:
        model = 'info_tables.Activite'

    name = Sequence(lambda x: "activite#{0}".format(x))
    groupe = SubFactory(GroupeActiviteFactory)


class UserFactory(DjangoModelFactory):
    class Meta:
        model = 'creme_core.CremeUser'

    username = Sequence(lambda x: "user#{0}".format(x))


class AddressFactory(DjangoModelFactory):
    class Meta:
        model = 'pilote_extended.Address'


class OrganisationFactory(DjangoModelFactory):
    class Meta:
        model = 'pilote_extended.Organisation'

    name = Sequence(lambda x: "org#{0}".format(x))
    user = SubFactory(UserFactory)
