import pytest

from center_pilote.filiere_bois.models import InfraBoisNrj

DUMMY_ID = 1234


@pytest.mark.parametrize(
    'meth_name, exp_url',
    [
        ('get_lv_absolute_url', '/filiere_bois/infraboisnrj'),
        ('get_create_absolute_url', '/filiere_bois/infraboisnrj/add'),
        ('get_absolute_url', '/filiere_bois/infraboisnrj/1234'),
        ('get_edit_absolute_url', '/filiere_bois/infraboisnrj/edit/1234'),
    ],
)
def test_infraboisnrj_url(meth_name, exp_url):
    infraboisnrj = InfraBoisNrj(entity_type_id=DUMMY_ID, name="expected_name")
    infraboisnrj.id = DUMMY_ID
    meth = getattr(infraboisnrj, meth_name)
    assert meth() == exp_url


def test_infraboisnrj_str():
    infraboisnrj = InfraBoisNrj(entity_type_id=DUMMY_ID, name="expected_name")
    assert str(infraboisnrj) == 'expected_name'
