# -*- coding: utf-8 -*-

from django.urls import path, re_path

from .views import infraboisnrj, portail_bois_et_vous

urlpatterns = [
    re_path(
        r'^infraboisnrj[/]?$',
        infraboisnrj.InfraBoisNrjList.as_view(),
        name='filiere_bois__list_infraboisnrj',
    ),
    re_path(
        r'^infraboisnrj/add[/]?$',
        infraboisnrj.InfraBoisNrjCreation.as_view(),
        name='filiere_bois__create_infraboisnrj',
    ),
    re_path(
        r'^infraboisnrj/(?P<infraboisnrj_id>\d+)[/]?$',
        infraboisnrj.InfraBoisNrjDetail.as_view(),
        name='filiere_bois__view_infraboisnrj',
    ),
    re_path(
        r'^infraboisnrj/edit/(?P<infraboisnrj_id>\d+)[/]?$',
        infraboisnrj.InfraBoisNrjEdition.as_view(),
        name='filiere_bois__edit_infraboisnrj',
    ),
    path(
        'portail_bois_et_vous/annuaire/',
        portail_bois_et_vous.PortailBoisEtVous.as_view(),
        name='filiere_bois__portail_bois_et_vous',
    ),
    path(
        'portail_bois_et_vous/activite/',
        portail_bois_et_vous.ActiviteView.as_view(),
        name='filiere_bois__portail_bois_et_vous_activite',
    ),
]
