# -*- coding: utf-8 -*-
from creme.creme_core.apps import CremeAppConfig


class InfoTablesConfig(CremeAppConfig):
    name = 'center_pilote.info_tables'
    verbose_name = "Tables d'informations"
    dependencies = ['creme.creme_core']

    def register_creme_config(self, config_registry):
        from . import models

        config_registry.register_model(models.GroupeActivite)
        config_registry.register_model(models.Activite)
        config_registry.register_model(models.TypeAdhesion)
        config_registry.register_model(models.FonctionBureau)
        config_registry.register_model(models.SecteurIntervention)
        config_registry.register_model(models.MarquageCe)
        config_registry.register_model(models.TypeClient)
        config_registry.register_model(models.EssenceArbre)
        config_registry.register_model(models.Equipement)
        config_registry.register_model(models.AmenagementPaysager)
        config_registry.register_model(models.BoisNrjConnexe)
        config_registry.register_model(models.Construction)
        config_registry.register_model(models.Emballage)
        config_registry.register_model(models.MenuiserieRevetement)
        config_registry.register_model(models.TraitementFinition)
        config_registry.register_model(models.StatutPorteurProjet)
        config_registry.register_model(models.TypeInstallation)
        config_registry.register_model(models.MontageJuridique)
        config_registry.register_model(models.EtatAvancement)
        config_registry.register_model(models.ModeLivraison)
        config_registry.register_model(models.TypeBoisLivre)
        config_registry.register_model(models.QualiteBoisLivre)
        config_registry.register_model(models.NatureAppoint)
        config_registry.register_model(models.TypeCombustibleBois)
        config_registry.register_model(models.NumIcpe)
        config_registry.register_model(models.StatutIcpe)
        config_registry.register_model(models.TechFiltreFumee)

    def register_bricks(self, brick_registry):
        from . import bricks

        brick_registry.register(*bricks.bricks_list)
