# -*- coding: utf-8 -*-
import logging

from creme.creme_core.gui.bricks import QuerysetBrick

from .models import Adhesion

logger = logging.getLogger(__name__)


class AdhesionsBrick(QuerysetBrick):
    id_ = QuerysetBrick.generate_id('info_tables', 'adhesions')
    verbose_name = 'Adhesions'
    description = (
        "Permet d'ajouter des adhesions à une organisation ou un contact"
    )
    dependencies = (Adhesion,)
    order_by = '-annee'
    template_name = 'info_tables/bricks/adhesions.html'

    def detailview_display(self, context):
        entity = context['object']
        btc = self.get_template_context(
            context, Adhesion.objects.filter(entity_id=entity.id)
        )
        # NB: optimisation ;
        # it avoids the retrieving of the entity during template rendering.
        for elm in btc['page'].object_list:
            elm.creme_entity = entity
        return self._render(btc)


bricks_list = (AdhesionsBrick,)
