from django.forms import ModelChoiceField

from creme.creme_core.forms import CremeModelForm
from creme.creme_core.forms.widgets import DynamicSelect

from ..models import Adhesion, TypeAdhesion
from . import ValidateUniqueCremeModelForm


class AdhesionForm(ValidateUniqueCremeModelForm):
    class Meta(CremeModelForm.Meta):
        model = Adhesion

    type_adhesion = ModelChoiceField(
        queryset=TypeAdhesion.objects.all(),
        widget=DynamicSelect(attrs={'autocomplete': True}),
    )

    def __init__(self, entity, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.instance.creme_entity = entity
