# Generated by Django 2.2.26 on 2023-01-25 20:36

import creme.creme_core.models.deletion
import creme.creme_core.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('creme_core', '0077_v2_2__set_version'),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='AmenagementPaysager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Aménagement paysager',
                'verbose_name_plural': 'Aménagements paysagers',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='BoisNrjConnexe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Bois énergie connexe',
                'verbose_name_plural': 'Bois énergies connexes',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Construction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Construction',
                'verbose_name_plural': 'Constructions',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Emballage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Emballage',
                'verbose_name_plural': 'Emballages',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Equipement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Equipement',
                'verbose_name_plural': 'Equipements',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='EssenceArbre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_ess', models.CharField(choices=[('feui', 'Feuillu'), ('resi', 'Résineux')], default='feui', max_length=8, verbose_name="Type d'essence")),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Essence majoritaire',
                'verbose_name_plural': 'Essences majoritaires',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='EtatAvancement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Etat d'avancement",
                'verbose_name_plural': "Etats d'avancements",
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='FonctionBureau',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Fonction bureau',
                'verbose_name_plural': 'Fonctions bureau',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='GroupeActivite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Groupe Activité',
                'verbose_name_plural': 'Groupes Activités',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='MarquageCe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Marquage CE',
                'verbose_name_plural': 'Marquages CE',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='MenuiserieRevetement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Menuiserie et revetement',
                'verbose_name_plural': 'Menuiseries et revetements',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='ModeLivraison',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Mode de livraison',
                'verbose_name_plural': 'Modes de livraisons',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='MontageJuridique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Montage juridique',
                'verbose_name_plural': 'Montages juridiques',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='NatureAppoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Nature de l'appoint",
                'verbose_name_plural': 'Nature des appoints',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='NumIcpe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Numéro ICPE',
                'verbose_name_plural': 'Numéros ICPE',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='QualiteBoisLivre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Qualité de bois livré',
                'verbose_name_plural': 'Qualités de bois livré',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='SecteurIntervention',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Secteur d'intervention",
                'verbose_name_plural': "Secteurs d'intervention",
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='StatutIcpe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Statut ICPE',
                'verbose_name_plural': 'Statuts ICPE',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='StatutPorteurProjet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Statut porteur de projet',
                'verbose_name_plural': 'Statuts porteurs de projets',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TechFiltreFumee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Technique de filtrage des fumées',
                'verbose_name_plural': 'Techniques de  filtrage des fumées',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TraitementFinition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Traitement de finition',
                'verbose_name_plural': 'Traitements de finitions',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeAdhesion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Type d'adhésion",
                'verbose_name_plural': "Types d'adhésions",
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeBoisLivre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Type de bois livré',
                'verbose_name_plural': 'Types de bois livré',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeClient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Type de client',
                'verbose_name_plural': 'Types de clients',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeCombustibleBois',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': 'Type de combustible bois',
                'verbose_name_plural': 'Types de combustibles bois',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeInfra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Type d'infrastructure",
                'verbose_name_plural': "Types d'infrastructure",
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='TypeInstallation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
            ],
            options={
                'verbose_name': "Type d'installation",
                'verbose_name_plural': "Types d'installations",
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Activite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='intitulé')),
                ('is_custom', models.BooleanField(default=True)),
                ('order', creme.creme_core.models.fields.BasicAutoField(blank=True, editable=False, verbose_name='Ordre')),
                ('groupe', models.ForeignKey(on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.GroupeActivite')),
            ],
            options={
                'verbose_name': 'Activité',
                'verbose_name_plural': 'Activités',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Adhesion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('annee', models.PositiveIntegerField(verbose_name='Année')),
                ('entity', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='info_tables_adhesions', to='creme_core.CremeEntity')),
                ('entity_content_type', creme.creme_core.models.fields.EntityCTypeForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType')),
                ('type_adhesion', models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.TypeAdhesion', verbose_name="Type d'adhésion")),
            ],
            options={
                'verbose_name': "Historique d'adhésion",
                'verbose_name_plural': 'Historique des adhésions',
                'ordering': ('-annee',),
                'unique_together': {('entity', 'entity_content_type', 'annee')},
            },
        ),
    ]
