# -*- coding: utf-8 -*-

from django.db import models

from creme.creme_core import models as creme_models
from creme.creme_core.models import fields as creme_fields


class GroupeActivite(creme_models.CremeModel):
    name = models.CharField("intitulé", max_length=256, blank=False)
    is_custom = models.BooleanField(default=True).set_tags(viewable=False)
    order = creme_fields.BasicAutoField("Ordre")

    class Meta:
        app_label = 'info_tables'
        verbose_name = "Groupe Activité"
        verbose_name_plural = "Groupes Activités"
        ordering = ('order',)

    def __str__(self):
        return self.name


class Activite(creme_models.CremeModel):
    groupe = models.ForeignKey(
        'info_tables.GroupeActivite', on_delete=creme_models.CREME_REPLACE
    )
    name = models.CharField("intitulé", max_length=256, blank=False)
    is_custom = models.BooleanField(default=True).set_tags(viewable=False)
    order = creme_fields.BasicAutoField("Ordre")

    class Meta:
        app_label = 'info_tables'
        verbose_name = "Activité"
        verbose_name_plural = "Activités"
        ordering = ('order',)

    def __str__(self):
        return f"{self.groupe.name}/{self.name}"
