# -*- coding: utf-8 -*-

from django.db import models

from creme.creme_core import models as creme_models
from creme.creme_core.models import fields as creme_fields

from ..constants import CHOICES_TYPE_ESS_ARBRE


class EssenceArbre(creme_models.CremeModel):
    type_ess = models.CharField(
        "Type d'essence",
        max_length=8,
        choices=CHOICES_TYPE_ESS_ARBRE,
        default='feui',
    )
    name = models.CharField("intitulé", max_length=256, blank=False)
    is_custom = models.BooleanField(default=True).set_tags(viewable=False)
    order = creme_fields.BasicAutoField("Ordre")

    class Meta:
        app_label = 'info_tables'
        verbose_name = "Essence majoritaire"
        verbose_name_plural = "Essences majoritaires"
        ordering = ('order',)

    def __str__(self):
        return self.name
