# -*- coding: utf-8 -*-

from django.db import models

from creme.creme_core import models as creme_models
from creme.creme_core.models import fields as creme_fields


class TypeInstallation(creme_models.CremeModel):
    name = models.CharField("intitulé", max_length=256, blank=False)
    is_custom = models.BooleanField(default=True).set_tags(viewable=False)
    order = creme_fields.BasicAutoField("Ordre")

    class Meta:
        app_label = 'info_tables'
        verbose_name = "Type d'installation"
        verbose_name_plural = "Types d'installations"
        ordering = ('order',)

    def __str__(self):
        return self.name
