import pytest

from center_pilote.info_tables.models import Adhesion, TypeAdhesion


@pytest.mark.django_db
def test_adhesion_str():
    type_adh = TypeAdhesion.objects.create(name="type_adh_0")
    adh = Adhesion(type_adhesion=type_adh, annee=2020)
    assert str(adh) == "[2020] type_adh_0"


def test_adhesion_url():
    adh = Adhesion(annee=2020, id=23)
    assert adh.get_edit_absolute_url() == '/info_tables/adhesion/edit/23'


def test_adhesion_get_entity():
    adh = Adhesion(annee=2020, id=23)
    assert adh.get_related_entity() is None
