from django.db.models import Count


def get_dupe_list(model, fieldname, empty_value=''):
    base_qs = model.objects
    if empty_value is not None:
        base_qs = base_qs.exclude(**{fieldname: empty_value})
    qs = (
        base_qs.order_by(fieldname)
        .values_list(fieldname)
        .annotate(count_val=Count(fieldname))
        .filter(count_val__gt=1)
        .order_by('-count_val')
    )
    return qs
