# Generated by Django 2.2.26 on 2023-01-25 20:37

import creme.creme_core.models.deletion
import creme.creme_core.models.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('creme_core', '0077_v2_2__set_version'),
        ('info_tables', '0001_initial'),
        ('activities', '0001_initial'),
        ('pilote_extended', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('cremeentity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='creme_core.CremeEntity')),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('start', models.DateTimeField(blank=True, null=True, verbose_name='Start')),
                ('end', models.DateTimeField(blank=True, null=True, verbose_name='End')),
                ('minutes', models.TextField(blank=True, verbose_name='Minutes')),
                ('place', models.CharField(blank=True, max_length=500, verbose_name='Activity place')),
                ('duration', models.PositiveIntegerField(blank=True, help_text='It is only informative and is not used to compute the end time.', null=True, verbose_name='Duration (in hour)')),
                ('is_all_day', models.BooleanField(blank=True, default=False, verbose_name='All day?')),
                ('busy', models.BooleanField(default=False, verbose_name='Busy?')),
                ('floating_type', models.PositiveIntegerField(default=1, editable=False, verbose_name='Floating type')),
                ('import_id', models.PositiveIntegerField(blank=True, db_index=True, null=True, unique=True, verbose_name="ID temporaire d'import")),
                ('details', models.TextField(blank=True)),
            ],
            options={
                'verbose_name': 'Activity',
                'verbose_name_plural': 'Activities',
                'ordering': ('-start',),
                'abstract': False,
            },
            bases=('creme_core.cremeentity',),
        ),
        migrations.AddField(
            model_name='address',
            name='code_insee',
            field=models.PositiveIntegerField(blank=True, null=True, verbose_name='Code INSEE'),
        ),
        migrations.AddField(
            model_name='address',
            name='epci',
            field=models.CharField(blank=True, max_length=200, verbose_name='EPCI'),
        ),
        migrations.AddField(
            model_name='contact',
            name='emailing',
            field=models.BooleanField(blank=True, null=True, verbose_name='Emailing'),
        ),
        migrations.AddField(
            model_name='contact',
            name='fonction_bureau',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.FonctionBureau', verbose_name='Fonction dans le bureau'),
        ),
        migrations.AddField(
            model_name='contact',
            name='import_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, unique=True, verbose_name="ID temporaire d'import"),
        ),
        migrations.AddField(
            model_name='contact',
            name='invite_ag',
            field=models.BooleanField(blank=True, null=True, verbose_name="Invité à l'AG"),
        ),
        migrations.AddField(
            model_name='contact',
            name='membre_ag',
            field=models.BooleanField(blank=True, null=True, verbose_name="Membre de l'AG"),
        ),
        migrations.AddField(
            model_name='contact',
            name='membre_bureau',
            field=models.BooleanField(blank=True, null=True, verbose_name='Membre du bureau'),
        ),
        migrations.AddField(
            model_name='contact',
            name='membre_ca',
            field=models.BooleanField(blank=True, null=True, verbose_name='Membre du CA'),
        ),
        migrations.AddField(
            model_name='contact',
            name='representant_de',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to=settings.PERSONS_ORGANISATION_MODEL, verbose_name='Représentant (fibois) de'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='activite',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to='info_tables.Activite', verbose_name='Activité principale'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='activite_secondaire',
            field=models.ManyToManyField(blank=True, related_name='organisation_act_sec_set', to='info_tables.Activite', verbose_name='Activité(s) secondaire(s)'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='activite_sous_traite',
            field=models.ManyToManyField(blank=True, related_name='organisation_act_ss_trait_set', to='info_tables.Activite', verbose_name='Activité sous traitée'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='agrement_phyto',
            field=models.BooleanField(blank=True, null=True, verbose_name='Agrément phytosanitaire'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='amenagement_paysager',
            field=models.ManyToManyField(blank=True, to='info_tables.AmenagementPaysager', verbose_name='Aménagements paysagers'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='annuaire_portail',
            field=models.BooleanField(blank=True, null=True, verbose_name='Annuaire portail'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='bois_local_trans',
            field=models.PositiveIntegerField(blank=True, null=True, verbose_name='Bois local transformé %'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='bois_nrj_connexes',
            field=models.ManyToManyField(blank=True, to='info_tables.BoisNrjConnexe', verbose_name='Bois énergie connexe'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='charte_bois_local',
            field=models.BooleanField(blank=True, null=True, verbose_name='Charte bois local'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='construction',
            field=models.ManyToManyField(blank=True, to='info_tables.Construction', verbose_name='Construction'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='contact_adherent',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, to=settings.PERSONS_CONTACT_MODEL, verbose_name='Contact adhérent'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='email_2',
            field=models.EmailField(blank=True, max_length=254, verbose_name='Email secondaire'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='emailing',
            field=models.BooleanField(blank=True, null=True, verbose_name='Emailing'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='emballages',
            field=models.ManyToManyField(blank=True, to='info_tables.Emballage', verbose_name='Emballage'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='entreprise_radiee',
            field=models.BooleanField(blank=True, null=True, verbose_name='Entreprise radiée'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='equipements',
            field=models.ManyToManyField(blank=True, to='info_tables.Equipement', verbose_name='Équipements'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='essence_majoritaire',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE, related_name='org_ess_maj', to='info_tables.EssenceArbre', verbose_name='Essence majoritaire'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='etf_gestion_durable',
            field=models.BooleanField(blank=True, null=True, verbose_name='ETF gestion durable'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='feuillus',
            field=models.ManyToManyField(blank=True, limit_choices_to={'type_ess': 'feui'}, related_name='org_ess_feui', to='info_tables.EssenceArbre', verbose_name='Feuillus'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='fsc',
            field=models.BooleanField(blank=True, null=True, verbose_name='FSC'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='import_id',
            field=models.PositiveIntegerField(blank=True, db_index=True, null=True, unique=True, verbose_name="ID temporaire d'import"),
        ),
        migrations.AddField(
            model_name='organisation',
            name='lng_sciage_max',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=4, null=True, verbose_name='Longueur de sciage maximum (m)'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='marquage_ce',
            field=models.ManyToManyField(blank=True, to='info_tables.MarquageCe', verbose_name='Marquage CE'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='marquage_ctb',
            field=models.CharField(blank=True, max_length=64, verbose_name='marquage CTB'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='menuiseries_revetements',
            field=models.ManyToManyField(blank=True, to='info_tables.MenuiserieRevetement', verbose_name='Menuiseries revetements'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='nimp15',
            field=models.BooleanField(blank=True, null=True, verbose_name='NIMP15'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='pefc',
            field=models.BooleanField(blank=True, null=True, verbose_name='PEFC'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='phone_cell',
            field=creme.creme_core.models.fields.PhoneField(blank=True, max_length=100, verbose_name='Mobile'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='resineux',
            field=models.ManyToManyField(blank=True, limit_choices_to={'type_ess': 'resi'}, related_name='org_ess_resi', to='info_tables.EssenceArbre', verbose_name='Résineux'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='secteur_intervention',
            field=models.ManyToManyField(blank=True, to='info_tables.SecteurIntervention', verbose_name="Secteur d'intervention"),
        ),
        migrations.AddField(
            model_name='organisation',
            name='slug_id',
            field=models.CharField(blank=True, default='', max_length=1024, verbose_name='ID de dedoublonnage'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='traitements_finitions',
            field=models.ManyToManyField(blank=True, to='info_tables.TraitementFinition', verbose_name='Traitements finitions'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='type_client',
            field=models.ManyToManyField(blank=True, to='info_tables.TypeClient', verbose_name='Type de client'),
        ),
        migrations.AddField(
            model_name='organisation',
            name='volume_grume_annuel',
            field=models.PositiveIntegerField(blank=True, null=True, verbose_name='Volume grume annuel (m3)'),
        ),
        migrations.AddIndex(
            model_name='organisation',
            index=models.Index(fields=['slug_id'], name='pilote_exte_slug_id_572ad9_idx'),
        ),
        migrations.AddField(
            model_name='activity',
            name='calendars',
            field=models.ManyToManyField(editable=False, to='activities.Calendar', verbose_name='Calendars'),
        ),
        migrations.AddField(
            model_name='activity',
            name='status',
            field=models.ForeignKey(blank=True, null=True, on_delete=creme.creme_core.models.deletion.CREME_REPLACE_NULL, to='activities.Status', verbose_name='Status'),
        ),
        migrations.AddField(
            model_name='activity',
            name='sub_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='activities.ActivitySubType', verbose_name='Activity sub-type'),
        ),
        migrations.AddField(
            model_name='activity',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='activities.ActivityType', verbose_name='Activity type'),
        ),
    ]
