# -*- coding: utf-8 -*-
from django.db.models import CharField, PositiveIntegerField

from creme.persons.models import AbstractAddress


class Address(AbstractAddress):
    class Meta(AbstractAddress.Meta):
        app_label = 'pilote_extended'

    code_insee = PositiveIntegerField(
        "Code INSEE", null=True, blank=True
    ).set_tags(optional=True)
    epci = CharField("EPCI", max_length=200, blank=True).set_tags(
        optional=True
    )
