import re

RE_PHONE_BLANK = re.compile(r'[ .-]')
PHONE_SPACER = '.'


def even_or_odd_repr(phone_number):
    len_phone_number = len(phone_number)
    start_item = []
    if (len_phone_number % 2) == 1:
        start_item = ['']
    phone_number_list = start_item + list(phone_number)
    ret_string = ""
    for idx, char in enumerate(phone_number_list):
        if idx != 0 and idx % 2 == 0:
            ret_string += PHONE_SPACER
        ret_string += char
    return ret_string


def inter_repr_plus(phone_number):
    return "+33 " + even_or_odd_repr(phone_number[3:])


def inter_repr_zero(phone_number):
    return "0033 " + even_or_odd_repr(phone_number[4:])


GET_PHONE_REPR = (
    (re.compile(r'^[0-9]{4,10}$'), even_or_odd_repr),
    (re.compile(r'^[+]33[0-9]{9}$'), inter_repr_plus),
    (re.compile(r'^0033[0-9]{9}$'), inter_repr_zero),
)


def phone_strip(phone_str):
    return RE_PHONE_BLANK.sub('', phone_str)


def phone_repr(phone_str):
    phone_str = phone_strip(phone_str)
    for RE_PHONE, func in GET_PHONE_REPR:
        if RE_PHONE.match(phone_str):
            return func(phone_str)
    return phone_str
