from django import template
from django.utils.safestring import mark_safe

register = template.Library()


@register.simple_tag
def verb(instance, field, safe=False):
    try:
        r = getattr(instance, field).short_description
    except Exception:
        try:
            r = instance._meta.get_field(field).verbose_name
        except Exception:
            return ''
    if safe:
        return mark_safe(r)
    else:
        return r
