from factory import Sequence, SubFactory
from factory.django import DjangoModelFactory


class UserFactory(DjangoModelFactory):
    class Meta:
        model = 'creme_core.CremeUser'

    username = Sequence(lambda x: "user#{0}".format(x))


class ContactFactory(DjangoModelFactory):
    class Meta:
        model = 'pilote_extended.Contact'

    last_name = Sequence(lambda x: "contact#{0}".format(x))
    user = SubFactory(UserFactory)


class OrganisationFactory(DjangoModelFactory):
    class Meta:
        model = 'pilote_extended.Organisation'

    name = Sequence(lambda x: "organisation#{0}".format(x))
    user = SubFactory(UserFactory)
