import pytest
from creme.creme_core.models import UserRole

from ..populate.role import PopulateRole


@pytest.mark.django_db
class TestPopulateRole:
    def test_simple(self):
        ret = PopulateRole(overwrite=False).run()
        assert ret is True, "PopulateRole should have do the populate"
        assert UserRole.objects.count() == 1
        ret = PopulateRole(overwrite=False).run()
        assert ret is False, "PopulateRole should not have do the populate"
        assert UserRole.objects.count() == 1

    def test_with_overwrite(self):
        ret = PopulateRole(overwrite=True).run()
        assert ret is True, "PopulateRole should have do the populate"
        assert UserRole.objects.count() == 1
        ret = PopulateRole(overwrite=True).run()
        assert ret is True, "PopulateRole should have do the populate"
        assert UserRole.objects.count() == 1
