import pytest

from .. import utils

P = pytest.param


@pytest.mark.parametrize(
    'sym, exp_exception',
    [
        P('ROLE_OBJ_SALARIE', False, id='sym allowed'),
        P('NOT_ALLOWED_SYM', True, id='sym not allowed'),
    ],
)
class TestUtilsRtype:
    def test_rtype_sym_sanity_check(self, sym, exp_exception):
        err_value = False
        try:
            utils.rtype_sym_sanity_check(sym)
        except AssertionError:
            err_value = True
        assert err_value == exp_exception

    def test_rtype_ids_from_sym(self, sym, exp_exception):
        err_value = False
        ret = []
        try:
            ret = utils.rtype_ids_from_sym(sym)
        except AssertionError:
            err_value = True
        assert err_value == ('pilote_extended-object_acheteur_bois' not in ret)


@pytest.mark.parametrize(
    'elm_list, exp_str',
    [
        ([1, 2, 3, 4], '1-4'),
        ([1, 3, 5], '1, 3, 5'),
        ([1, 2], '1-2'),
        ([1, 2, 5, 6, 7], '1-2, 5-7'),
        ([], ''),
        ([1], '1'),
    ],
)
def test_compress_interval(elm_list, exp_str):
    assert utils.compress_interval(elm_list) == exp_str
