from creme.creme_core.models import RelationType
from creme.creme_core.views.relation import RelationsAdding

from ..utils import rtype_ids_from_sym


class LimitedRelationsAdding(RelationsAdding):
    def get_relation_types(self):
        # rtypes = None or (RelationType - GET.getlist('exclude'))
        rtypes = super().get_relation_types()
        rtype_id = self.kwargs.get(self.rtype_id_url_kwarg)

        request = self.request

        if request.method == 'GET' and rtype_id is None:
            included_rtype_ids = request.GET.getlist('include')
            included_rtype_sym = request.GET.get('include_sym')
            if rtypes is None:
                subject = self.get_related_entity()
                subject_ctype = subject.entity_type
                rtypes = RelationType.objects.compatible(subject_ctype)

            all_included_rtype_ids = included_rtype_ids.copy()
            if included_rtype_sym:
                all_included_rtype_ids.extend(
                    rtype_ids_from_sym(included_rtype_sym)
                )
            rtypes = rtypes.filter(id__in=all_included_rtype_ids)

        return rtypes
