# -*- coding: utf-8 -*-
from collections import OrderedDict, namedtuple

SIMPLE_POPULATE_LIST = (
    ('GroupeActivite', 'GROUPE_ACTIVITE'),
    ('TypeAdhesion', 'TYPE_ADHESION'),
    ('FonctionBureau', 'FONCTION_BUREAU'),
    ('SecteurIntervention', 'SECTEUR_INTERVENTION'),
    ('MarquageCe', 'MARQUAGE_CE'),
    ('TypeClient', 'TYPE_CLIENT'),
    ('Equipement', 'EQUIPEMENT'),
    ('AmenagementPaysager', 'AMENAGEMENT_PAYSAGER'),
    ('BoisNrjConnexe', 'BOIS_NRJ_CONNEXE'),
    ('Construction', 'CONSTRUCTION'),
    ('Emballage', 'EMBALLAGE'),
    ('MenuiserieRevetement', 'MENUISERIE_REVETEMENT'),
    ('TraitementFinition', 'TRAITEMENT_FINITION'),
    ('StatutPorteurProjet', 'STATUT_PORTEUR_PROJET'),
    ('TypeInstallation', 'TYPE_INSTALLATION'),
    ('MontageJuridique', 'MONTAGE_JURIDIQUE'),
    ('EtatAvancement', 'ETAT_AVANCEMENT'),
    ('ModeLivraison', 'MODE_LIVRAISON'),
    ('TypeBoisLivre', 'TYPE_BOIS_LIVRE'),
    ('QualiteBoisLivre', 'QUALITE_BOIS_LIVRE'),
    ('NatureAppoint', 'NATURE_APPOINT'),
    ('TypeCombustibleBois', 'TYPE_COMBUSTIBLE_BOIS'),
    ('NumIcpe', 'NUM_ICPE'),
    ('StatutIcpe', 'STATUT_ICPE'),
    ('TechFiltreFumee', 'TECH_FILTRE_FUMEE'),
    ('TypeInfra', 'TYPE_INFRA'),
)

DICT_POPULATE_LIST = (('EssenceArbre', 'ESSENCE_ARBRE'),)

ACTIVITE = OrderedDict(
    [
        (
            "AMONT",
            (
                "ETF",
                "ETF Abattage manuel",
                "ETF Abattage mécanisé",
                "ETF Abattage mécanisé - sécateur",
                "ETF Broyage sur site",
                "ETF Débardage avec skidder",
                "ETF Dégagement mécanisé",
                "ETF Débardage avec porteur",
                "ETF Négoce ETF",
                "ETF Reboisement",
                "ETF Travaux de ligne RTE/ENEDIS",
                "ETF Travaux manuels",
                "ETF NC",
                "Exploitant forestier",
                "Entrepreneur de Travaux Agricoles",
                "Gestionnaire forestier",
                "Coopérative forestière",
                "Bûcheron",
                "Pépiniériste",
                "Semencier",
            ),
        ),
        (
            "BOIS ENERGIE",
            (
                "Bois bûche",
                "Bûchette",
                "Bois fin de vie",
                "Granulés",
                "Plaquettes",
                "Connexes",
                "Chaudiériste - Chauffagiste",
                "Achat et/ou vente bois de chauffage",
            ),
        ),
        (
            "PREMIERE TRANSFORMATION",
            (
                "Emballage / Palettes / Cagettes",
                "Emballage/Palette assemblage",
                "Emballage/Palette fabrication",
                "Déroulage",
                "Sciage",
                "Merrain (fente)",
                "Imprégnation du bois",
                "Profilage",
                "Rabotage",
                "Séchage",
                "Traitement de préservation",
            ),
        ),
        (
            "PAPIER/CARTON/PANNEAUX",
            (
                "Industrie panneaux",
                "Industrie papier/carton",
            ),
        ),
        (
            "SECONDE TRANSFORMATION",
            (
                "Agencement / Ameublement",
                "Aménagement extérieur",
                "Charpente - Construction bois",
                "Charpente - Construction bois Charpente traditionnelle",
                "Charpente - Construction bois Charpente industrielle",
                "Charpente - Construction bois Construction bois",
                "Ebénisterie",
                "Fabrication d'objets divers en bois",
                "Menuiserie",
                "Métier d'art",
            ),
        ),
        (
            "MAITRISE D'OEUVRE",
            (
                "Bureau d'études acoustique",
                "Bureau d'étude bois énergie",
                "Bureau d'étude HQE",
                "Bureau d'études structure",
                "Bureau d'études structure bois",
                "Bureau d'étude thermique",
                "Architecte",
                "Economistes",
                "Urbaniste",
                "Paysagiste",
                "Designer",
            ),
        ),
        (
            "MAITRISE D'OUVRAGE",
            (
                "AMO / Programmiste",
                "Bailleurs sociaux",
                "Office Public d'Aménagement et de Construction",
                "Offices et SA HLM",
                "Promoteurs immobiliers",
            ),
        ),
        (
            "COMMERCE ET NEGOCE",
            (
                "Commerce et négoce de bois",
                "Equipement et outillage",
                "Equipement 1T et 2T",
                "Equipement forestier",
            ),
        ),
        ("TRANSPORT", ("transport",)),
        (
            "PARTENAIRES",
            (
                "Établissement de Formation",
                "Établissement de Formation Elémentaire",
                "Établissement de Formation Collège",
                "Établissement de Formation Lycée général",
                "Établissement de Formation Lycée professionnel / technologique",  # noqa
                "Établissement de Formation CFA",
                "Établissement de Formation Formation professionnelle continue",
                "Établissement de Formation Enseignement supérieur",
                "Organismes et institutionnels",
                "Organismes et institutionnels Association / Pôle",
                "Organismes et institutionnels Chambre consulaire",
                "Organismes et institutionnels Interprofession Fibois France",
                "Organismes et institutionnels Organisation et syndicat professionnel",  # noqa
                "Organismes et institutionnels Service Public de l'Emploi / Orientation",  # noqa
                "Organismes et institutionnels OPCO",
                "Organismes et institutionnels Organisme financier",
                "Collectivités et services de l'État",
                "Collectivités et services de l'État Service de l'Etat",
                "Collectivités et services de l'État Conseil Régional",
                "Collectivités et services de l'État Conseil Départemental",
                "Collectivités et services de l'État PNR",
                "Collectivités et services de l'État Communauté de communes / EPCI",  # noqa
                "Collectivités et services de l'État Commune",
                "Autre partenaire",
                "Autre partenaire Institut de Recherche / Centre technique",
                "Presse",
                "Prestataires",
                "Prestataires Imprimeurs",
                "Prestataires Agence de comm / graphistes",
                "Prestataires Photo / Vidéo",
                "Prestataires Informatique",
            ),
        ),
        ("AUTRES", ("Entreprise hors filière forêt bois",)),
    ]
)

GROUPE_ACTIVITE = [elm for elm in ACTIVITE.keys()]

TYPE_ADHESION = (
    "Adhérent direct",
    "Adhérent FFB/CAPEB",
    "Adhésion croisée",
    "Adhérent statutaire",
)

FONCTION_BUREAU = (
    "Président",
    "Vice-Président",
    "Trésorier",
    "Secrétaire",
    "Secrétaire suppléant",
)

SECTEUR_INTERVENTION = (
    "02",
    "08",
    "10",
    "14",
    "27",
    "28",
    "45",
    "51",
    "52",
    "54",
    "55",
    "57",
    "59",
    "60",
    "61",
    "62",
    "76",
    "77",
    "78",
    "80",
    "88",
    "89",
    "91",
    "95",
    "BE",
)

MARQUAGE_CE = (
    "Bois et structure",
    "Bardage",
)

TYPE_CLIENT = (
    "Agenceurs",
    "Agriculteurs",
    "BTP",
    "Collectivités",
    "Constructeurs",
    "Ebénistes",
    "Emballeurs",
    "GSB",
    "Industries",
    "Menuisiers",
    "Négoces",
    "Négociants étrangers",
    "Parquetteurs",
    "Particuliers",
    "Paysagistes",
    "Tonnellerie",
)

EQUIPEMENT = (
    "Abatteuse",
    "Abatteuse sécateur",
    "Billoneuse",
    "Broyeur (scierie)",
    "Broyeur (tracteur)",
    "Camion",
    "Centre d'usinage à commande numérique",
    "Chaudière",
    "Classement mécanique",
    "Combiné bois de chauffage",
    "Combiné raboteuse dégauchisseuse",
    "Corroyeuse",
    "Débardeuse",
    "Dédoubleuse",
    "Dégauchisseuse",
    "Déligneuse",
    "Déligneuse multilame",
    "Dérouleuse",
    "Ecorceuse à fraise",
    "Ecorceuse à rotor",
    "Ecorceuse annulaire",
    "Fendeuse",
    "Four",
    "Girobroyeur",
    "Grapple",
    "Grumier",
    "Nacelle à élagage",
    "Non communiqué (NC)",
    "Pelle mécanique",
    "Pré-déligneuse",
    "Profileuse",
    "Raboteuse",
    "Raboteuse 4 faces",
    "Raboteuse profileuse",
    "Rotobroyeur",
    "Scie à format",
    "Scie à panneaux",
    "Scie à placage",
    "Scie canter",
    "Scie circulaire",
    "Scie de reprise",
    "Scie de tête horizontale",
    "Scie de tête verticale",
    "Scie mobile",
    "Séchoir air chaud climatisé",
    "Séchoir artificiel artisanal",
    "Séchoir déshumidification (pompe à chaleur)",
    "Séchoir naturel",
    "Séchoir sous-vide",
    "Silo / Espace à écorce",
    "Silo / Espace à plaquette",
    "Silo à sciure",
    "Skidder",
    "Slabber",
    "Sous-soleuse",
    "Tenonneuse double",
    "Tenonneuse simple",
    "Tracteur agricole",
    "Trancheuse",
    "Tronçonneuse à paquet",
)

CHOICES_TYPE_ESS_ARBRE = (
    ('feui', "Feuillu"),
    ('resi', "Résineux"),
)

Ess = namedtuple('Essence', 'type_ess name')
ESSENCE_ARBRE = (
    Ess('feui', "Aulne"),
    Ess('feui', "Bouleau"),
    Ess('feui', "Charme"),
    Ess('feui', "Châtaignier"),
    Ess('feui', "Chêne"),
    Ess('feui', "Chêne rouge"),
    Ess('feui', "Erable sycomore"),
    Ess('feui', "Frêne"),
    Ess('feui', "Fruitiers"),
    Ess('feui', "Hêtre"),
    Ess('feui', "Merisier"),
    Ess('feui', "Noyer"),
    Ess('feui', "Peuplier"),
    Ess('feui', "Robinier"),
    Ess('feui', "Tilleul"),
    Ess('resi', "Douglas"),
    Ess('resi', "Epicéa"),
    Ess('resi', "Mélèze"),
    Ess('resi', "Pin sylvestre"),
    Ess('resi', "Sapin"),
)

ESS_ABR_LST = tuple(elm.name for elm in ESSENCE_ARBRE)

FEUILLU = tuple(elm.name for elm in ESSENCE_ARBRE if elm.type_ess == 'feui')

RESINEUX = tuple(elm.name for elm in ESSENCE_ARBRE if elm.type_ess == 'resi')

AMENAGEMENT_PAYSAGER = (
    "Carré potager",
    "Ganivelle",
    "Piquet/Clôture/palissade",
    "Passerelles/pontons",
    "Traverse",
)

BOIS_NRJ_CONNEXE = (
    "Bois bûche",
    "Bûchette",
    "Dosses",
    "Ecorce",
    "Pellet/granulés",
    "Plaquette",
    "Sciure",
)

CONSTRUCTION = (
    "Charpente industrielle",
    "Charpente traditionnelle",
    "Charpente (non spécifiée)",
    "Peuplier en structure",
    "Chevron",
    "Coffrage",
    "Débit sur liste",
    "Lambourde",
    "Lisse",
    "Liteau",
    "Madrier",
    "Planche de rive",
    "Solive / Bastaing",
    "Solivette",
    "Tasseau",
    "Volige",
    "Gabarit BTP",
)

EMBALLAGE = (
    "Bourriche",
    "Cagette",
    "Caisse",
    "Caisse palette",
    "Douelle",
    "Eléments de palette",
    "Palette standard",
    "Palette sur mesure",
    "Palox",
)

MENUISERIE_REVETEMENT = (
    "Bardage brut",
    "Bardage clin",
    "Bardages finis",
    "Frise",
    "Plateau",
    "Plot",
    "Lambris brut",
    "Lambris finis",
    "Parquet brut",
    "Parquet finis",
    "Terrasse brute",
    "Terrasse finie",
    "Mobilier fini",
)

TRAITEMENT_FINITION = (
    "Aboutage",
    "Collage/contrecollage",
    "Profilage",
    "Rabotage",
    "Peinture",
    "Traitement classe 2",
    "Traitement clase 3 et 4",
    "Traitement NIMP15",
    "Traitement thermique THT",
    "Vernis",
)

STATUT_PORTEUR_PROJET = (
    "Collectif",
    "Entreprise",
    "Tertiaire privé",
    "Particulier / Individuel",
)

TYPE_INSTALLATION = (
    "Chaufferie dédiée",
    "Réseau de chaleur juridique",
    "Industrie (BCIAT)",
    "Cogénération (CRE)",
    "Séchoir",
)

MONTAGE_JURIDIQUE = (
    "Régie internalisée",
    "Régie externalisée",
    "Régie CREM",
    "DSP affermage",
    "DSP concession",
)

ETAT_AVANCEMENT = (
    "En fonctionnement",
    "En construction",
    "En appel d'offre",
    "En étude",
    "Identifié",
)

MODE_LIVRAISON = (
    "Benne agricole",
    "Camion souffleur",
    "Camion benne",
    "Fond mouvant",
)

TYPE_BOIS_LIVRE = (
    "Plaquette forestière",
    "Plaquette bocagère",
    "Déchets bois classe A",
    "Déchets bois classe B",
    "Connexe de scierie",
    "Granulé",
)

QUALITE_BOIS_LIVRE = ()

NATURE_APPOINT = (
    "Sans",
    "autre",
    "Fioul",
    "Gaz",
)

TYPE_COMBUSTIBLE_BOIS = (
    "Plaquette forestière",
    "Déchet bois classe A",
    "Plaquette bocagère",
    "Connexe de scierie",
    "Déchet bois classe B",
)

NUM_ICPE = (
    "2410 (travail du bois)",
    "1532 (dépôt de bois sec ou matériaux combustibles)",
    "2710 (collecte de déchets non dangereux)",
    "2714 (transit, regroupement, tri)",
    "2260 (broyage, concassage, criblage)",
    "2910-A (combustion bois classique)",
    "2910-B (combustion spécifique déchets bois)",
    "2760 (enfouissement)",
)

STATUT_ICPE = (
    "Déclaration",
    "Enregistrement",
    "Autorisation",
)

TECH_FILTRE_FUMEE = (
    "Cyclone/multicyclone",
    "Dépoussiereur",
    "Filtre à manche",
    "Electrofiltre",
)

TYPE_INFRA = (
    "Chaufferie",
    "Plateforme",
)
